=begin pod

=TITLE class X::Placeholder

    class X::Placeholder::Block does X::Comp

Thrown when a placeholder variable is used in a block that does not allow a
signature (for example C<class A { $^foo }>.


A typical error message is

    Placeholder variable $^foo may not be used here because the surrounding block takes no signature

=head1 Methods

=head2 placeholder

Returns the name of the (first) illegally used placeholder.

=end pod
